# Calculator project | Module 1 Sprint 2

A simple Python package for performing basic arithmetic operations:

    -Addition
    -Subtraction
    -Finding the nth root

## Installation

You can install this package directly from PyPI using pip:

    pip install calculator_turing_IS

### Usage

Calculator class has methods like below:

- add(number)		Adds the given number to the stored result.
- sub(number)		Subtracts the given number from the stored result.
- root(number)	    Computes the nth root of the result. (Cannot be zero or an even root of a negative number)
- reset()			Resets the result to 0.

-if you print object then you will see output of the last result

Example of using after installation:

    from calculator.calculator import Calculator

    calc = Calculator()

    print(calc.add(10))  # Output: 10
    print(calc.sub(2))  # Output: 10
    print(calc.root(3))  # Output: "2"
    print(calc) # Output: "2"
    calc.reset()
    print(calc) # Output: "0"





